import request from "@/utils/httpRequest";
import { CENTRECAREFUL_PATH as prefix } from "../../AppPath";

export default class ReimbursementService {
	list(param) {
		return request({
			url: prefix + "/zsReimbursement/info/list",
			method: "get",
			params: param,
		});
	}
	reportNoList(param) {
		return request({
			url: prefix + "/zsReimbursement/info/reportNoList",
			method: "get",
			params: param,
		});
	}
	projectList(params) {
		return request({
			url: prefix + "/zsReimbursement/info/projectList",
			method: "get",
			params: params,
		});
	}
	save(param) {
		return request({
			url: prefix + "/zsReimbursement/info/save",
			method: "post",
			data: param,
		});
	}
	findById(id) {
		return request({
			url: prefix + "/zsReimbursement/info/findById",
			method: "get",
			params: { id: id },
		});
	}
	remove(id) {
		return request({
			url: prefix + "/zsReimbursement/info/remove",
			method: "get",
			params: { id: id },
		});
	}
	updateStatusById(param) {
		return request({
			url: prefix + "/zsReimbursement/info/updateStatusById",
			method: "post",
			data: param,
		});
	}
	checkNumber(number) {
		return request({
			url: prefix + "/zsReimbursement/info/checkNumber",
			method: "get",
			params: { number: number },
		});
	}
	userTree(name) {
		return request({
			url: prefix + "/zsReimbursement/info/userTree",
			method: "get",
			params: { name: name },
		});
	}
	exportFile(params) {
		return request({
			url: prefix + "/zsReimbursement/info/exportFile",
			method: "get",
			params: params,
			responseType: "blob",
		});
	}
	exportInvoiceReimbursementFile(params) {
		return request({
			url:
				prefix + "/zsReimbursement/info/exportInvoiceReimbursementFile",
			method: "get",
			params: params,
			responseType: "blob",
		});
	}
	deleteByIdAndNumber(id, invoiceNumber) {
		return request({
			url: prefix + "/zsReimbursement/info/deleteByIdAndNumber",
			method: "post",
			params: { id: id, invoiceNumber: invoiceNumber },
		});
	}
	getEffectiveDataByInvoiceNumber(invoiceNumber, id) {
		return request({
			url:
				prefix +
				"/zsReimbursement/info/getEffectiveDataByInvoiceNumber",
			method: "get",
			params: { invoiceNumber: invoiceNumber, id: id },
		});
	}
	getEffectiveDataByNumbers(invoiceNumber, id) {
		return request({
			url: prefix + "/zsReimbursement/info/getEffectiveDataByNumbers",
			method: "get",
			params: { invoiceNumber: invoiceNumber, id: id },
		});
	}
	getEffectiveDataByNumbers2(invoiceNumber, id) {
		return request({
			url: prefix + "/zsReimbursement/info/getEffectiveDataByNumbers2",
			method: "post",
			data: { financeNumber: invoiceNumber, id: id },
		});
	}
	findHistory(id) {
		return request({
			url: prefix + "/zsReimbursement/info/findHistory",
			method: "get",
			params: { id: id },
		});
	}
	findHiById(id) {
		return request({
			url: prefix + "/zsReimbursement/info/findHiById",
			method: "get",
			params: { id: id },
		});
	}
	updatePaymentStatus(param) {
		return request({
			url: prefix + "/zsReimbursement/info/updatePaymentStatus",
			method: "post",
			data: param,
		});
	}

	updateFileStatusById(param) {
		return request({
			url: prefix + "/zsReimbursement/info/updateFileStatusById",
			method: "post",
			data: param,
		});
	}

	findFileById(id) {
		return request({
			url: prefix + "/zsReimbursement/info/findFileById",
			method: "get",
			params: { id: id },
		});
	}

	saveFile(param) {
		return request({
			url: prefix + "/zsReimbursement/info/saveFile",
			method: "post",
			data: param,
		});
	}

	findFileByReimId(id) {
		return request({
			url: prefix + "/zsReimbursement/info/findFileByReimId",
			method: "get",
			params: { id: id },
		});
	}
	saveConfirmStatus(param) {
		return request({
			url: prefix + "/zsInvoiceConfirm/confirmStatus/save",
			method: "post",
			data: param,
		});
	}

	getListByUser(id) {
		return request({
			url: prefix + "/zsInvoiceConfirm/confirmStatus/getListByUser",
			method: "get",
			params: {
				reimbursementId: id,
			},
		});
	}
}
